# MarketRush
#### Simple e-commerce market iOS Application
---
## Getting Started
> Market Rush is a simple online market application including product search using Naver API and add/view shopping items.

---
## Screenshots
![screenshots](./image/1.PNG) ![screenshots](./image/2.PNG) ![screenshots](./image/3.PNG)
![screenshots](./image/4.PNG) ![screenshots](./image/5.PNG) ![screenshots](./image/6.PNG)

----
## Key Features
1. Search Products with simple category
2. Add items in cart
3. Manage and view added shopping items.

---
## Built With
* Realm DB: Storing User's Shopping List
* Alamofire: HTTP Response, JSON Parameter Encoding from NAVER Search API
* Alamofire-Object-Mapper: Convert Mapping JSON to objects
* MIBadgeButton: Notification Badge Counter for counting number of added items
* MVC/Singleton Pattern

## Demo Video 
[![Video Label](https://i9.ytimg.com/vi/EgD8irb_57Y/mq2.jpg?sqp=CJeSre8F&rs=AOn4CLB2plCFNXY4DHGOhL3V6ag6f0a-Ow)](https://youtu.be/EgD8irb_57Y)

----
## Next Step
* Improve Search Tool based on User Experience 
* Add Push Notification Service for added items' stock information and reserved payment service
* Implement Server for User Login System and managing relevant information.
